Qt 5.8 | Qt Sensors | C++ Classes | QTapSensor

Qt 5.8.0 Reference Documentation

# QTapSensor Class

The QTapSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QTapSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Properties

- returnDoubleTapEvents : bool

- 20 properties inherited from QSensor

## Public Functions

| QTapSensor(QObject *parent = Q_NULLPTR)
virtual | ~QTapSensor()
QTapReading * | reading() const
bool | returnDoubleTapEvents() const
void | setReturnDoubleTapEvents(bool returnDoubleTapEvents)

- 37 public functions inherited from QSensor

## Signals

void | returnDoubleTapEventsChanged(bool returnDoubleTapEvents)

- 14 signals inherited from QSensor

### Additional Inherited Members

- 2 public slots inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QTapSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QTapReading instead of a QSensorReading.

For details about how the sensor works, see QTapReading.

See also QTapReading.

## Property Documentation

### returnDoubleTapEvents : bool

This property holds a value indicating if double tap events should be reported.

Set to true (the default) to have the sensor report only on double tap events. Set to false to have the sensor report only on individual tap events.

It is not possible to have the sensor report both single and double tap events. If both are needed the app should create 2 sensor objects.

The property must be set before calling start().

Access functions:

bool | returnDoubleTapEvents() const
void | setReturnDoubleTapEvents(bool returnDoubleTapEvents)

Notifier signal:

void | returnDoubleTapEventsChanged(bool returnDoubleTapEvents)

## Member Function Documentation

### QTapSensor::QTapSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QTapSensor::~QTapSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QTapReading *QTapSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().